rte_vhost_device_ops(3)

NAME
rte_vhost_device_ops

SYNOPSIS

#include <rte_vhost.h>

  Data Fields

int(* new_device )(int vid)
void(* destroy_device )(int vid)
int(* vring_state_changed )(int vid, uint16_t queue_id, int enable)
int(* features_changed )(int vid, uint64_t features)
void(* guest_notified )(int vid)
bool(* guest_notify )(int vid, uint16_t queue_id)

Detailed Description

Device and vring operations.

Definition at line 277 of file rte_vhost.h.

Field Documentation

  int(* new_device) (int vid)
Add device.

Definition at line 278 of file rte_vhost.h.

  void(* destroy_device) (int vid)
Remove device.

Definition at line 279 of file rte_vhost.h.

  int(* vring_state_changed) (int vid, uint16_t queue_id, int enable)
triggered when a vring is enabled or disabled

Definition at line 281 of file rte_vhost.h.

  int(* features_changed) (int vid, uint64_t features)
Features could be changed after the feature negotiation. For example, VHOST_F_LOG_ALL will be set/cleared at the start/end of live migration, respectively. This callback is used to inform the application on such change.

Definition at line 289 of file rte_vhost.h.

  void(* guest_notified) (int vid)
This callback gets called each time a guest gets notified about waiting packets. This is the interrupt handling through the eventfd_write(callfd), which can be used for counting these "slow" syscalls.

Definition at line 300 of file rte_vhost.h.

  bool(* guest_notify) (int vid, uint16_t queue_id)
If this callback is registered, notification to the guest can be handled by the front-end calling rte_vhost_notify_guest(). If it's not handled, 'false' should be returned. This can be used to remove the "slow" eventfd_write() syscall from the datapath.

Definition at line 308 of file rte_vhost.h.

Author

Generated automatically by Doxygen for DPDK from the source code.